package com.company.tryspreadsheet.component.spreadsheet;

import com.vaadin.flow.component.*;
import com.vaadin.flow.component.dependency.JsModule;
import com.vaadin.flow.shared.Registration;
import com.vaadin.flow.component.dependency.CssImport;
import com.vaadin.flow.component.dependency.NpmPackage;

import java.util.List;
import java.util.stream.Collectors;

@Tag("demo-spreadsheet")
@NpmPackage(value = "jspreadsheet-ce", version = "4.13.1")
@NpmPackage(value = "jsuites", version = "4.17.7")
@CssImport("jspreadsheet-ce/dist/jspreadsheet.css")
@CssImport("jspreadsheet-ce/dist/jspreadsheet.datatables.css")
@CssImport("jspreadsheet-ce/dist/jspreadsheet.theme.css")
@JsModule("./src/spreadsheet/spreadsheet.js")
public class Spreadsheet extends Component implements HasSize {

    public static final String DATA_PROPERTY = "data";
    public static final String COLUMNS_PROPERTY = "columns";
    public static final String SPREADSHEET_CHANGED_EVENT = "custom-spreadsheet-changed";



    public Spreadsheet() {
    }


}
